
%define firmware_name iwl3945
%define realname iwlwifi-3945

Name: firmware-%firmware_name
Version: 2.14.1.5
Release: alt1
Serial: 1
Packager: L.A. Kostis <lakostis@altlinux.ru>
License: Redistributive
Group: System/Kernel and hardware
Summary: firmware for Intel PRO/Wireless 3945ABG/BG Network Connection Adapter
Source0: http://intellinuxwireless.org/iwlwifi/downloads/%realname-ucode-%version.tar.bz2
Url: http://intellinuxwireless.org/
BuildArch: noarch

%description
The file iwlwifi-3945.ucode provided in this package is required to be
present on your system in order for the Intel PRO/Wireless 3945ABG/BG Network
Connection Adapter driver for Linux (iwlwifi-3945) to be able to operate
on your system.

%prep
%setup -q -n %realname-ucode-%version

%install
install -d $RPM_BUILD_ROOT/lib/firmware
install -p *.ucode $RPM_BUILD_ROOT/lib/firmware/
cp -df LICENSE.%realname-ucode $RPM_BUILD_ROOT/lib/firmware/%realname-LICENSE

%files
%defattr(644,root,root,755)
%doc README.%realname-ucode
/lib/firmware/%realname-LICENSE
/lib/firmware/*.ucode

%changelog
* Mon Jan 21 2008 L.A. Kostis <lakostis@altlinux.org> 1:2.14.1.5-alt1
- new version.

* Sun Nov 04 2007 L.A. Kostis <lakostis@altlinux.ru> 2.14.4-alt1
- initial build for Sisyphus.
- .spec based on firmware-ipw3945.

